###
### Makefile for vcal and todo conduits. These two conduits share most code,
### so it seems logical to put them in one place.
###

INCLUDES= -I$(top_srcdir)/lib -I$(top_srcdir) \
	$(PISOCK_INCLUDE) $(all_includes)

METASOURCES = AUTO

servicedir  = $(kde_servicesdir)
service_DATA = vcal-conduit.desktop todo-conduit.desktop

kde_module_LTLIBRARIES = conduit_vcal.la conduit_todo.la
noinst_LTLIBRARIES = libvcalconduit_shared.la

libvcalconduit_shared_la_SOURCES = vcalconduitSettings.kcfgc \
	korganizerConduit.ui \
	kcalRecord.cpp \
	vcal-setupbase.cpp \
	vcal-conduitbase.cpp \
	cleanupstate.cpp deleteunsyncedhhstate.cpp deleteunsyncedpcstate.cpp \
	hhtopcstate.cpp initstate.cpp pctohhstate.cpp teststate.cpp

conduit_vcal_la_SOURCES = vcal-conduit.cpp vcalRecord.cpp \
	vcal-factory.cpp vcal-setup.cpp
conduit_vcal_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries) $(PISOCK_LIB) $(LIB_QT) -ltdecore -ltdeio -ltdeui -lkcal -ltderesources
conduit_vcal_la_LIBADD = ../../lib/libkpilot.la \
	libvcalconduit_shared.la
conduit_vcal_la_COMPILE_FIRST = vcalconduitSettings.h korganizerConduit.h

conduit_todo_la_SOURCES = todo-conduit.cpp todoRecord.cpp \
	todo-factory.cpp todo-setup.cpp
conduit_todo_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries) $(PISOCK_LIB) $(LIB_QT) -ltdecore -ltdeio -ltdeui -lkcal -ltderesources
conduit_todo_la_LIBADD = ../../lib/libkpilot.la \
	libvcalconduit_shared.la
conduit_todo_la_COMPILE_FIRST = vcalconduitSettings.h korganizerConduit.h


kde_kcfg_DATA = vcalconduitbase.kcfg

